HTTP::Proxy::BodyFilter::htmltext(3)

NAME
HTTP::Proxy::BodyFilter::htmltext - A filter to transmogrify HTML text

SYNOPSIS
    use HTTP::Proxy::BodyFilter::tags;
    use HTTP::Proxy::BodyFilter::htmltext;

    # could it be any simpler?
    $proxy->push_filter(
        mime     => 'text/html',
        response => HTTP::Proxy::BodyFilter::tags->new,
        response => HTTP::Proxy::BodyFilter::htmltext->new(
            sub { tr/a-zA-z/n-za-mN-ZA-M/ }
        )
    );

DESCRIPTION
The HTTP::Proxy::BodyFilter::htmltext is a filter spawner that calls the callback of your choice on any HTML text (outside "<script>" and "<style>" tags, and entities).

The subroutine should modify the content of $_ as it sees fit. Simple, and terribly efficient.

METHODS
The filter defines the following methods, called automatically:

init()
    Ensures that the filter is initialised with a CODE reference.

begin()
    Per page parser initialisation.

filter()
    A simple HTML parser that runs the given callback on the text contained in the HTML data. Please look at HTTP::Proxy::BodyFilter::htmlparser if you need something more elaborate.

SEE ALSO
HTTP::Proxy, HTTP::Proxy::BodyFilter, HTTP::Proxy::BodyFilter::htmlparser.

AUTHOR
Philippe "BooK" Bruhat, <book@cpan.org>.

COPYRIGHT
Copyright 2003-2015, Philippe Bruhat.

LICENSE
This module is free software; you can redistribute it or modify it under the same terms as Perl itself.